body {
  font-family: sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 120vh;
  text-align: center;
  background-color: white;
  padding: 60px 0 0;
}

img {
  max-width: 100%;
  width: 50%;
  height: auto;
  margin-bottom: 20px;
}

h2 {
  font-size: 2.5em;
  margin-bottom: 20px;
  color: #000;
}

.region-group {
  display: grid;
  margin: 50px;
  grid-template-columns: repeat(4, 1fr);
  gap: 30px;
  justify-items: center;
}

.region-button {
  cursor: pointer;
  transition: background-color 0.3s ease;
  text-decoration: none;
  width: 20vw;
  max-width: 250px;
  padding: 25px 0;
  font-size: 1.1em;
  background-color: white;
  color: #333333;
  border: 2px solid #afafaf;
  box-sizing: border-box;
  border-radius: 10px;
}

.region-button::after {
  content: '▼';
  font-size: 10px;
}

.region:focus-within > .region-button,
.region-button:hover {
  background-color: #dddddd;
  border: 2px solid #dddddd;
}

.region:focus-within > .lang-group,
.region-button:hover + .lang-group,
.lang-group:hover {
  display: grid;
}

.lang-button {
  padding: 15px 0;
  text-decoration: none;
  color: #333333;
}

.lang-button:hover,
.lang-button:focus {
  background-color: #dddddd;
}

.lang-group {
  border-radius: 0 0 10px 10px;
  display: none;
  border-top: none;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
}

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: white;
  padding: 10px 0;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  z-index: 1000;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

#lang-select {
  padding: 5px;
  font-size: 1rem;
}

@media screen and ( max-width:645px ){
  .region-group {
    grid-template-columns: repeat(1, 1fr);
  }
  .region-button {
    width: 75vw;
    max-width: 250px;
  }
  img {
    width: 95%;
  }
  h2 {
    font-size: 1em;
  }
}
